> For the complete documentation index, see [llms.txt](https://api-docs.fcfpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.fcfpay.com/reference/api-requests-v2.md).

# API Requests - V2

## Environments

The following environments are available:

| Environment | Merchant URL                         | Checkout URL                          |
| ----------- | ------------------------------------ | ------------------------------------- |
| Sandbox     | <https://sandbox.fcfpay.com/api/v2>  | <https://checkout-sandbox.fcfpay.com> |
| Production  | <https://merchant.fcfpay.com/api/v2> | <https://checkout.fcfpay.com>         |

For easy integration, you may access Postman documentation and clone the collection: <https://documenter.getpostman.com/view/20701275/UyrEhaiN>

You can then add a new environment for Sandbox, if needed.

{% hint style="info" %}
All the API endpoints in the documentation containing the Production environment URL, so for testing you can use the Sandbox.

To use sandbox, you must create an account at <https://sandbox.fcfpay.com/register> and se the appropriate testnet for each token.
{% endhint %}

## Create Order

{% content-ref url="/pages/3rii7GZtuS5PA2QAkC0F" %}
[Create Order](/reference/api-requests-v2/create-order.md)
{% endcontent-ref %}

## Deposit Callback

{% content-ref url="/pages/Fr9qbibrk6bcmYG6fKjc" %}
[Deposit Callback](/reference/api-requests-v2/deposit-callback.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.fcfpay.com/reference/api-requests-v2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
